%global commit0 01dbaea2e410c0a71830c8bdfe770069a2fdf171
%global gittag0 v1.4.5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           gns3-server
Version:        1.4.5
Release:        2%{?dist}
Summary:        GNS3 server to asynchronously manage emulators

License:        GPLv3+
URL:            https://github.com/GNS3/gns3-server
Source0:        https://github.com/GNS3/gns3-server/archive/%{?gittag0}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        gns3-tmpfile.conf
Patch0:         gns3-server-path.patch
BuildArch:	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-test
BuildRequires:  python3-psutil
BuildRequires:  python3-pytest
BuildRequires:  python3-raven
BuildRequires:  systemd
Requires:       python3-netifaces
Requires:       python3-tornado
Requires:       python3-zmq
Requires:       python3-jsonschema
Requires:       python3-pycurl
Requires:       python3-dateutil
#Requires:       python3-libcloud
Requires:       python3-psutil >= 3.0.0
Requires:       python3-raven >= 5.2.0
Requires:       python3-requests

# GNS3 Tools
Requires:       dynamips
Requires:       iouyap
Requires:       ubridge
Requires:       vpcs

Requires(pre):  shadow-utils

%description
The GNS3 server manages emulators such as Dynamips, VirtualBox or Qemu/KVM.
Clients like the GNS3 GUI controls the server using a JSON-RPC API over Websockets.

You will need the GNS3 GUI (gns3-gui) to control the server.


%prep
%setup -q
%patch0 -p1 -b .orig

%build
# Nothing to build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}

cp -pr gns3server %{buildroot}/%{python3_sitelib}

mkdir -p %{buildroot}/%{_unitdir}
install -pm 0644 init/gns3.service.systemd \
  %{buildroot}/%{_unitdir}/gns3.service

# Create base directories
mkdir -p %{buildroot}%{_localstatedir}/{lib,log,cache}/gns3

# Remove create certificate script directory
rm -rf %{buildroot}%{python3_sitelib}/gns3server/cert_utils

# Install tmpfiles.d/gns3.conf
mkdir -p %{buildroot}%{_prefix}/lib/tmpfiles.d
install -pm 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/tmpfiles.d/gns3.conf

%check
%{__python3} setup.py test || :


%pre
getent group gns3 >/dev/null || groupadd -r gns3
getent passwd gns3 >/dev/null || \
    useradd -r -g gns3 -d %{_localstatedir}/lib/gns3 -s /sbin/nologin \
    -c "GNS3" gns3
exit 0

%post
%systemd_post gns3.service

%preun
%systemd_preun gns3.service

%postun
%systemd_postun_with_restart gns3.service


%files
%doc AUTHORS LICENSE README.rst
%{_unitdir}/gns3.service
%{_bindir}/gns3server
%{_bindir}/gns3vmnet
%{_prefix}/lib/tmpfiles.d/gns3.conf
%{python3_sitelib}/*egg-info
%{python3_sitelib}/gns3server

%attr(-,gns3,gns3) %dir %{_localstatedir}/cache/gns3
%attr(-,gns3,gns3) %dir %{_localstatedir}/lib/gns3
%attr(-,gns3,gns3) %dir %{_localstatedir}/log/gns3


%changelog
* Mon Apr 18 2016 Nicolas Chauvet <kwizart@gmail.com> - 1.4.5-2
- Improve gns3 user support

* Fri Apr 15 2016 Nicolas Chauvet <kwizart@gmail.com> - 1.4.5-1
- Update to 1.4.5

* Tue Jan 13 2015 Nicolas Chauvet <kwizart@gmail.com> - 1.2.1-1
- Initial spec file

